<xml> </xml>

SOLIDWORKS PDM Professional API Help | Send Feedback
CreateSearch Method (IEdmVault5)
See Also Example

Collapse All Expand All Language Filter: All Language Filter: Multiple Language Filter: Visual Basic Language Filter: C# Language Filter: C++/CLI

EPDM.Interop.epdm Namespace > IEdmVault5 Interface : CreateSearch Method (IEdmVault5)

Visual Basic
C#
C++/CLI
Obsolete. Superseded by IEdmVault21::CreateSearch2 .

# Syntax

Visual Basic |
--- | ---

    Function CreateSearch() As IEdmSearch5

C# |
--- | ---

    IEdmSearch5 CreateSearch()

C++/CLI |
--- | ---

    IEdmSearch5^ CreateSearch();

#### Return Value

IEdmSearch5

# Example

Create a Task that Finds Approved Files (VB.NET)
Create a Task that Finds Approved Files (C#)
Create a Task that Finds Files in Workflow States (VB.NET)
Create a Task that Finds Files in Workflow States (C#)

# Remarks

C++ users must release the returned pointer, IEdmSearch5.

Return codes:

- S_OK: The method successfully executed.

# See Also

####

IEdmVault5 Interface
IEdmVault5 Members

# Availability

SOLIDWORKS PDM Professional Version 5.2